package com.fjs.scenic.service.ord;

import java.util.List;

import com.fjs.scenic.entity.order.ErrorOrder;

public interface ErrorOrderService{
	List<ErrorOrder> select(ErrorOrder record);

   	void delete(ErrorOrder record);
   	
   	int update(ErrorOrder record);

   	List<ErrorOrder> selectByParam(String field,String param);
   	
   	List<ErrorOrder> selectByJoin(String field,String param);

   	void updateByParam(String param);

   	void deleteByParam(String param);
   	
   	void inseterErrorOrder(String orderNo,String type,String desc);

	void inseterErrorOrder(String orderNo,String type,String cashFee,String desc);
   	
   	/***定时任务执行异常订单自动退款和请求票务*/
   	void taskErrorOrder(ErrorOrder errorOrder);
}
